%define __brp_mangle_shebangs %{nil}

Summary: Command line tool for updating bootloader configs
Name: grubby
Version: 8.40
Release: 60%{?dist}
URL: https://src.fedoraproject.org/rpms/grubby
License: GPLv2+

Source1: grubby-bls
Source2: COPYING
Source3: installkernel-bls
Source4: 95-kernel-hooks.install
Source5: 10-devicetree.install
Source6: grubby.8

BuildRequires: gcc glib2-devel
BuildRequires: libblkid-devel make
BuildRequires: pkgconfig popt-devel
BuildRequires: sed rpm-devel

%ifarch aarch64 x86_64 ppc64le
BuildRequires: grub2-tools-minimal
Requires: grub2-tools-minimal
Requires: grub2-tools
%endif

Requires: findutils
Requires: util-linux

Obsoletes:	%{name}-bls < %{version}-%{release}
Obsoletes:	%{name}-deprecated < %{version}-%{release}

%description
This package provides a grubby script that manages
BootLoaderSpec files and is meant to be backward compatible with
the previous grubby tool.

%prep
cp %{SOURCE2} . || true

%build
%set_build_flags

%install
mkdir -p %{buildroot}%{_sbindir}/
install -T -m 0755 %{SOURCE1} %{buildroot}%{_sbindir}/grubby
install -T -m 0755 %{SOURCE3} %{buildroot}%{_sbindir}/installkernel

install -D -m 0755 -t %{buildroot}%{_prefix}/lib/kernel/install.d/ %{SOURCE4}
install -D -m 0755 -t %{buildroot}%{_prefix}/lib/kernel/install.d/ %{SOURCE5}

mkdir -p %{buildroot}%{_mandir}/man8
install -m 0644 %{SOURCE6} %{buildroot}%{_mandir}/man8/

%files
%license COPYING
%attr(0755,root,root) %{_sbindir}/grubby
%attr(0755,root,root) %{_sbindir}/installkernel
%attr(0755,root,root) %{_prefix}/lib/kernel/install.d/10-devicetree.install
%attr(0755,root,root) %{_prefix}/lib/kernel/install.d/95-kernel-hooks.install
%{_mandir}/man8/grubby.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.40-60
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.40-59
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 Lin Yi <nilusyi@tencent.com> - 8.40-58
- remove grubby-deprecated, only use grubby-bls

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.40-57
- Rebuilt for OpenCloudOS Stream 23

* Mon Apr 18 2022 Lin Yi <nilusyi@tencent.com> - 8.40-56
- Package init. 